<template>
  <main class="bg-gray-3">
    <app-header class="bg-white px-32 py-1" />
    <div class="container">
      <h1 class="font-bold text-lg p-3">Secure your reservation</h1>
      <warning />
      <div class="grid grid-cols-3 mt-5 gap-5">
        <div class="col-span-2">
        <div class="shadow-md rounded-md  mb-5 bg-white">
          <div class="bg-blue-1 text-white rounded-t-md p-3">
            <i class="fa-solid fa-user-shield"></i>
            <p class="text-sm inline pl-2">
              <span class="text-semibold">Room 1</span>2 adults, 1 double bed
              and 1 twin bed, Non-smoking
            </p>
          </div>
          <div class="px-5 pt-3 pb-5">
            <div class="flex flex-row">
              <div class="mr-5">
                <label class="block font-semibold text-small" for="fName"
                  >First name</label
                >
                <input
                  class="bg-gray-3 py-1 px-2"
                  type="text"
                  placeholder="Julia"
                />
              </div>
              <div>
                <label class="block font-semibold text-small" for="lName"
                  >last name</label
                >
                <input
                  class="bg-gray-3 py-1 px-2"
                  type="text"
                  placeholder="Lorenzo"
                />
              </div>
            </div>
            <div>
              <label class="block font-semibold text-small" for="fName"
                >Mobile number</label
              >
              <select class="bg-gray-3 py-1 px-1 w-24 mr-3 inline">
                <option value="" selected>+61</option>
              </select>
              <input
                class="inline bg-gray-3 py-1 px-4"
                type="text"
                placeholder="88672778"
              />
              <div class="block mt-2">
                <input type="checkbox" />
                <label class="px-3 text-sm"
                  >Receive text alerts about this trip.</label
                >
              </div>
            </div>
          </div>
        </div>
        <div class="shadow-md rounded-md bg-white">
          <div class="bg-blue-1 text-white rounded-t-md p-3">
            <i class="fa-solid fa-credit-card"></i>
            <p class="text-sm inline pl-2">Payment options</p>
          </div>
          <div class="px-5 pt-3 pb-5">
            <p class="text-sm border-b-2 border-b-blue-1 inline">
              Debit/Credit Card
            </p>
            <hr />
            <div class="flex flex-row gap-2 mt-2">
              <div class="bg-gray-3 p-1 rounded">
                <img src="../assets/image 6.png" />
              </div>
              <div class="bg-gray-3 p-1 rounded">
                <img src="../assets/image 7.png" />
              </div>
              <div class="bg-gray-3 p-1 rounded">
                <img src="../assets/image 10.png" />
              </div>
              <div class="bg-gray-3 p-1 rounded">
                <img src="../assets/image 8.png" />
              </div>
            </div>
            <div>
              <div>
                <label class="block pt-4 pb-3 font-semibold text-sm" for=""
                  >Name on card</label
                >
                <input
                  class="w-9/12 bg-gray-3 py-2 px-2 inline"
                  type="text"
                  placeholder="Julius Lorenzo"
                />
                <i
                  class="fa-regular fa-circle-check text-green-600 inline pl-3"
                ></i>
              </div>
              <div>
                <label class="block pt-4 pb-3 font-semibold text-sm" for=""
                  >Debit/Credit card number</label
                >
                <input
                  class="w-9/12 bg-gray-3 py-2 px-2 inline"
                  type="text"
                  placeholder="9923464374822293"
                />
                <i
                  class="fa-regular fa-circle-check text-green-600 inline pl-3"
                ></i>
              </div>
              <div>
                <label class="text-sm font-semibold block pt-4 pb-3">Expiration Date</label>
                <select class="bg-gray-3 py-1 px-1 w-24 mr-3 inline">
                  <option value="" selected>April</option>
                </select>
                <select class="bg-gray-3 py-1 px-1 w-24 mr-3 inline">
                  <option value="" selected>2026</option>
                </select>
                <i
                  class="fa-regular fa-circle-check text-green-600 inline pl-3"
                ></i>
              </div>
                <div class="flex flex-row pt-4">
              <div class="mr-5 pb-3">
                <label class="block font-semibold text-small  pb-3"
                  >Security code</label
                >
                <input
                  class="bg-gray-3 py-1 px-2"
                  type="text"
                  placeholder="543"
                />
              </div>
              <div class="">
                <label class="block font-semibold text-small pb-3"
                  >Billing Zip code</label
                >
                <input
                  class="bg-gray-3 py-1 px-2"
                  type="text"
                  placeholder="203846"
                />
                <i
                  class="fa-regular fa-circle-check text-green-600 inline pl-3"
                ></i>
              </div>
              
              </div>
            </div>
          </div>
        </div>
        <div class="shadow-md rounded-md  mb-5 bg-white mt-5">
          <div class="bg-yellow-1  rounded-t-md p-3">
            <p class="text-sm font-semibold">
                Important information about your booking
            </p>
          </div>
          <div class="px-5 pt-3 pb-5">
            <div class="text-sm">
                <ol >
                <li>1. This rate is non-refundable. If you change or cancel your booking you will not get a refund or credit to use for 
                    a future stay.</li>
                <li>2. Stay extensions will require a new reservation.</li>
                <li>3. Front desk staff will greet guests on arrival</li>
                <li>4. No refunds will be issued for late check-in or early check-out.</li>
            </ol>
            <p class="py-3">By clicking the button below, I acknowledge that I have reviewed the <span class="text-blue-1">Privacy Statement</span> and have reviewd and accept the <span class="text-blue-1">Rules and Restrictions</span> <span class="text-blue-1">and Terms of Use</span>.</p>
          <router-link to="/ListOfBookings"> <button class="block mb-3 bg-blue-1 p-2 text-white font-semibold rounded">Complete Booking</button> </router-link>       
           <i class="fa-solid fa-lock bg-green-600 text-white rounded-full p-1"></i>
           <p class="inline ml-2">We use secure transmission and encrypted storage to protect your personal information</p>
        </div>
          </div>
        </div>
    </div>
    <div class="col-span-1 ">
        <div class=" bg-white text-sm rounded-md shadow-md">
        <img src="../assets/Rectangle 29.png">
        <div class="p-5">
        <h2 class="font-bold text-sm mb-1">Lakeside Motel Warefront</h2>
        <div class="flex flex-row pb-2">
        <div class="text-orange-1 text-sm">
            <i class="fa-solid fa-star "></i>
            <i class="fa-solid fa-star "></i>
            <i class="fa-solid fa-star "></i>
            <i class="fa-solid fa-star "></i>
            <i class="fa-solid fa-star-half "></i>
        </div>
        <p class="text-gray-1">4.5 stars(1200 Reviews)</p>
        </div>
        <div class="mt-2">
            <p class="text-red-1">Non refundable</p>
            <p>Check in: Sunday, March 18, 2022</p>
            <p>Check out: Tuesday, March 20, 2022</p>
            <p>2 night stay</p>
        </div>
    </div>
    </div>
    <div class="text-sm mt-5  shadow-md">
        <div class="bg-mint-green p-5 rounded-t-md">
            <p>Price Details</p>
        </div>
        <div class="bg-white p-5 rounded-b-md text-gray-1">
            <div class="flex flex-row justify-between pb-2">
            <p>1 room X 2 nights</p>
            <p>$ 120.32</p>
        </div>
        <div class="flex flex-row justify-between pb-2">
            <p>Tax and service fees</p>
            <p>$ 8.32</p>
        </div>
        <hr/>
        <div class="flex flex-row justify-between pt-2">
            <p class="text-bold">Total</p>
            <p>$130</p>
        </div>

        </div>
    </div>
    </div>
    </div>
    </div>
  </main>
</template>

<script>
import AppHeader from '../components/global/AppHeader.vue';
import Warning from "../components/global/Warning.vue";
export default {
  name: "ConfirmBooking",
  components: { Warning, AppHeader },
  
};
</script>

<style>
ol{
    list-style-type: decimal;
}
</style>